Bug 1358938 - libcgroup dependency error when installing node in ose-2.2
Summary: libcgroup dependency error when installing node in ose-2.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Timothy Williams
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1321858
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 20:12 UTC by Eric Rich
Modified: 2019-10-10 12:12 UTC (History)
9 users (show)

Fixed In Version: libcgroup-0.40.rc1-18.el6_8
Doc Type: Bug Fix
Doc Text:
Cause: The libcgroup dependencies provided in the openshift channels were out of date. Consequence: Updating to the latest libcgroup was impossible due to a multilib dependency issue. Fix: The libcgroup dependencies provided in the openshift channels have been updated to match the libcgroup version shipped with RHEL. Result: Updates and fresh installs are able to complete without issue.
Clone Of: 1321858
Environment:
Last Closed: 2016-08-24 19:46:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC
Red Hat Knowledge Base (Solution) 1235353 None None None 2016-07-21 20:12:17 UTC

Description Eric Rich 2016-07-21 20:12:18 UTC
+++ This bug was initially created as a clone of Bug #1321858 +++

Description of problem:
Installation would abort when installing node packages due to libcgroup dependency error.
The latest libcgroup package in rhel-6-server-rpms repo is libcgroup-0.40.rc1-17.el6_7.x86_64 now, but we only have libcgroup-pam-0.40.rc1-16.el6.x86_64.rpm in the latest 2.2 puddle.

Version-Release number of selected component (if applicable):
OpenShiftEnterpriseErrata/2.2/2016-03-11.1

How reproducible:
Always

Steps to Reproduce:
1.[root@dhcp-128-178 ~]# yum install rubygem-openshift-origin-node

Actual results:
--> Finished Dependency Resolution
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:
       
         1. You have an upgrade for libcgroup which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of libcgroup of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what). You can try redoing the upgrade with
            --exclude libcgroup.otherarch ... this should give you an error
            message showing the root cause of the problem.
       
         2. You have multiple architectures of libcgroup installed, but
            yum can only see an upgrade for one of those arcitectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.
       
         3. You have duplicate versions of libcgroup installed already.
            You can use "yum check" to get yum show these errors.
       
       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).
       
       Protected multilib versions: libcgroup-0.40.rc1-17.el6.i686 != libcgroup-0.40.rc1-18.el6_7.x86_64

Expected results:
Should no error happened during installation

Additional info:

Work arround is to install test RPM's from: https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=500372 then complete the install.

Comment 5 errata-xmlrpc 2016-08-24 19:46:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.